Package com.ocient.jdbc.proto

## Interface PlanProtocol.TestColumnOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.TestColumn`, `PlanProtocol.TestColumn.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.TestColumnOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getBigintStart()` `int64 bigint_start = 6;`
`String` `getBinaryStart()` note that this must also be an int32 in string format
`com.google.protobuf.ByteString` `getBinaryStartBytes()` note that this must also be an int32 in string format
`boolean` `getBoolStart()` `bool bool_start = 9;`
`int` `getByteStart()` note that this will be cast to an int8_t but protobuf doesnt have an int8 type
`PlanProtocol.SqlColType` `getColType()` the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator
`int` `getColTypeValue()` the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator
`long` `getCycleLen()` the length of the cycle for this column, this is the number of times the same value should be emitted before incrementing
`int` `getDateStart()` note that this must be a valid date
`double` `getDoubleStart()` `double double_start = 8;`
`float` `getFloatStart()` `float float_start = 7;`
`int` `getIntStart()` `int32 int_start = 5;`
`int` `getIpv4Start()` `uint32 ipv4_start = 10;`
`double` `getNullChance()` `double nullChance = 15;`
`long` `getNullCycle()` `uint64 nullCycle = 16;`
`int` `getSmallintStart()` note that this will be cast to an int16_t but protobuf doesnt have an int16 type
`PlanProtocol.TestColumn.StartValsCase` `getStartValsCase()`
`long` `getTimestampStart()` `int64 timestamp_start = 14;`
`String` `getVarcharStart()` note that this must be an int32 in string format
`com.google.protobuf.ByteString` `getVarcharStartBytes()` note that this must be an int32 in string format

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getColTypeValue

    int getColTypeValue()

    the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator

`.xg.db.sqlPlans.SqlColType colType = 1;`

Returns:
  The enum numeric value on the wire for colType.

#### getColType

    PlanProtocol.SqlColType getColType()

    the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator

`.xg.db.sqlPlans.SqlColType colType = 1;`

Returns:
  The colType.

#### getCycleLen

    long getCycleLen()

    the length of the cycle for this column, this is the number of times the same value should be emitted before incrementing

`uint64 cycleLen = 2;`

Returns:
  The cycleLen.

#### getByteStart

    int getByteStart()

    note that this will be cast to an int8_t but protobuf doesnt have an int8 type

`int32 byte_start = 3;`

Returns:
  The byteStart.

#### getSmallintStart

    int getSmallintStart()

    note that this will be cast to an int16_t but protobuf doesnt have an int16 type

`int32 smallint_start = 4;`

Returns:
  The smallintStart.

#### getIntStart

    int getIntStart()

`int32 int_start = 5;`

Returns:
  The intStart.

#### getBigintStart

    long getBigintStart()

`int64 bigint_start = 6;`

Returns:
  The bigintStart.

#### getFloatStart

    float getFloatStart()

`float float_start = 7;`

Returns:
  The floatStart.

#### getDoubleStart

    double getDoubleStart()

`double double_start = 8;`

Returns:
  The doubleStart.

#### getBoolStart

    boolean getBoolStart()

`bool bool_start = 9;`

Returns:
  The boolStart.

#### getIpv4Start

    int getIpv4Start()

`uint32 ipv4_start = 10;`

Returns:
  The ipv4Start.

#### getVarcharStart

    String getVarcharStart()

    note that this must be an int32 in string format

`string varchar_start = 11;`

Returns:
  The varcharStart.

#### getVarcharStartBytes

    com.google.protobuf.ByteString getVarcharStartBytes()

    note that this must be an int32 in string format

`string varchar_start = 11;`

Returns:
  The bytes for varcharStart.

#### getBinaryStart

    String getBinaryStart()

    note that this must also be an int32 in string format

`string binary_start = 12;`

Returns:
  The binaryStart.

#### getBinaryStartBytes

    com.google.protobuf.ByteString getBinaryStartBytes()

    note that this must also be an int32 in string format

`string binary_start = 12;`

Returns:
  The bytes for binaryStart.

#### getDateStart

    int getDateStart()

    note that this must be a valid date

`int32 date_start = 13;`

Returns:
  The dateStart.

#### getTimestampStart

    long getTimestampStart()

`int64 timestamp_start = 14;`

Returns:
  The timestampStart.

#### getNullChance

    double getNullChance()

`double nullChance = 15;`

Returns:
  The nullChance.

#### getNullCycle

    long getNullCycle()

`uint64 nullCycle = 16;`

Returns:
  The nullCycle.

#### getStartValsCase

    PlanProtocol.TestColumn.StartValsCase getStartValsCase()